libhttppp ..

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | List of all members
libhttppp::hpack::Decoder Class Reference

## Public Member Functions
| Decoder (const Decoder &)=delete
Decoder & | operator= (const Decoder &)=delete
| Decoder (Decoder &&)=delete
Decoder & | operator= (Decoder &&)=delete
void | reset ()
std::vector< HeaderField > | decode (const uint8_t *data, size_t len)
std::vector< HeaderField > | decode (const std::string &data)

## Static Public Member Functions
static std::vector< HeaderField > | decodeStateless (const uint8_t *data, size_t len)
static uint32_t | decodeInt (const uint8_t *data, size_t len, uint8_t prefix_bits, size_t &bytes_read)
static std::string | decodeString (const uint8_t *data, size_t len, size_t &bytes_read)
static std::string | huffmanDecode (const uint8_t *data, size_t len)

The documentation for this class was generated from the following files:

- src/hpack.h
- src/hpack.cpp